
set( art_VERSION 2.02.01 )
set( art_UPS_VERSION v2_02_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/art/v2_02_01/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/art/v2_02_01/Modules")
endif()


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib  )
    find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp  )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( ART_VERSION  $ENV{ART_LIB}/libart_Version.so )
      set( ART_UTILITIES  $ENV{ART_LIB}/libart_Utilities.so )
      set( ART_FRAMEWORK_ART  $ENV{ART_LIB}/libart_Framework_Art.so )
      set( ART_FRAMEWORK_CORE  $ENV{ART_LIB}/libart_Framework_Core.so )
      set( ART_FRAMEWORK_EVENTPROCESSOR  $ENV{ART_LIB}/libart_Framework_EventProcessor.so )
      set( ART_FRAMEWORK_IO  $ENV{ART_LIB}/libart_Framework_IO.so )
      set( ART_FRAMEWORK_IO_CATALOG  $ENV{ART_LIB}/libart_Framework_IO_Catalog.so )
      set( ART_FRAMEWORK_IO_PRODUCTMIX  $ENV{ART_LIB}/libart_Framework_IO_ProductMix.so )
      set( ART_FRAMEWORK_IO_PRODUCTMIX_DICT  $ENV{ART_LIB}/libart_Framework_IO_ProductMix_dict.so )
      set( ART_FRAMEWORK_IO_ROOT_DETAIL_SOURCES  $ENV{ART_LIB}/libart_Framework_IO_Root_detail_sources.so )
      set( ART_FRAMEWORK_IO_ROOTVERSION  $ENV{ART_LIB}/libart_Framework_IO_RootVersion.so )
      set( ART_FRAMEWORK_IO_ROOT_FILE_INFO_DUMPER  $ENV{ART_LIB}/libart_Framework_IO_Root_file_info_dumper.so )
      set( ART_FRAMEWORK_IO_ROOT  $ENV{ART_LIB}/libart_Framework_IO_Root.so )
      set( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE  $ENV{ART_LIB}/libart_Framework_IO_Root_RootInput_source.so )
      set( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_IO_Root_RootOutput_module.so )
      set( ART_FRAMEWORK_IO_SOURCES  $ENV{ART_LIB}/libart_Framework_IO_Sources.so )
      set( ART_FRAMEWORK_IO_DETAIL  $ENV{ART_LIB}/libart_Framework_IO_detail.so )
      set( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_BlockingPrescaler_module.so )
      set( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE  $ENV{ART_LIB}/libart_Framework_Modules_EmptyEvent_source.so )
      set( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_FileDumperOutput_module.so )
      set( ART_FRAMEWORK_MODULES_PRESCALER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_Prescaler_module.so )
      set( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_ProvenanceCheckerOutput_module.so )
      set( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE  $ENV{ART_LIB}/libart_Framework_Modules_RandomNumberSaver_module.so )
      set( ART_FRAMEWORK_PRINCIPAL  $ENV{ART_LIB}/libart_Framework_Principal.so )
      set( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES  $ENV{ART_LIB}/libart_Framework_Services_FileServiceInterfaces.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL  $ENV{ART_LIB}/libart_Framework_Services_Optional.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_RandomNumberGenerator_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_SimpleInteraction_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_SimpleMemoryCheck_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYADJUSTER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_MemoryAdjuster_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYTRACKER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_MemoryTracker_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TFileService_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_Timing_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMETRACKER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TimeTracker_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_Tracer_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileDelivery_service.so )
      set( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_Optional_TrivialFileTransfer_service.so )
      set( ART_FRAMEWORK_SERVICES_REGISTRY  $ENV{ART_LIB}/libart_Framework_Services_Registry.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_CurrentModule_service.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_FileCatalogMetadata_service.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_FloatingPointControl_service.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_PathSelection_service.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_ScheduleContext_service.so )
      set( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE  $ENV{ART_LIB}/libart_Framework_Services_System_TriggerNamesService_service.so )
      set( ART_FRAMEWORK_SERVICES_USERINTERACTION  $ENV{ART_LIB}/libart_Framework_Services_UserInteraction.so )
      set( ART_PERSISTENCY_COMMON  $ENV{ART_LIB}/libart_Persistency_Common.so )
      set( ART_PERSISTENCY_PROVENANCE  $ENV{ART_LIB}/libart_Persistency_Provenance.so )
      set( ART_PERSISTENCY_ROOTDB  $ENV{ART_LIB}/libart_Persistency_RootDB.so )
      set( ART_NTUPLE  $ENV{ART_LIB}/libart_Ntuple.so )
      set( ART_NTUPLE_SQLITE_MFPLUGIN  $ENV{ART_LIB}/libart_Ntuple_sqlite_mfPlugin.so )
      set( ART_TEST_INTEGRATION_BADASSNS_DICT  $ENV{ART_LIB}/libart_test_Integration_BadAssns_dict.so )
      set( ART_TEST_TESTOBJECTS  $ENV{ART_LIB}/libart_test_TestObjects.so )
      set( ART_TEST_TESTOBJECTS_DICT  $ENV{ART_LIB}/libart_test_TestObjects_dict.so )
      include_directories ( $ENV{ART_INC} )
      set( ART_PLUGINVERSIONINFO_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/art/PluginVersionInfo.pm )
      set( RESULTSPRODUCER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ResultsProducer.pm )
      set( FILTER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Filter.pm )
      set( SERVICEINTERFACE_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ServiceInterface.pm )
      set( FILECATALOGMETADATAPLUGIN_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/FileCatalogMetadataPlugin.pm )
      set( EMPTYEVENTTIMESTAMPPLUGIN_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/EmptyEventTimestampPlugin.pm )
      set( ANALYZER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Analyzer.pm )
      set( PRODUCER_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Producer.pm )
      set( SERVICEIMPL_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/ServiceImpl.pm )
      set( SERVICE_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Service.pm )
      set( OUTPUT_PM $ENV{ART_DIR}/perllib/CetSkelPlugins/Output.pm )
      set( ART_CETSKEL_SERVICECOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/ServiceCommon.pm )
      set( ART_CETSKEL_FILTERPRODUCERCOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/FilterProducerCommon.pm )
      set( ART_CETSKEL_ANALYZERCOMMON_PM $ENV{ART_DIR}/perllib/CetSkel/AnalyzerCommon.pm )

check_required_components(art)

